Download it now!
Bug 120122 - Sidebar: Key input in floating sidebar tab bar affects document view
Summary: Sidebar: Key input in floating sidebar tab bar affects document view
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-26 07:03 UTC by Jim Raykowski
Modified: 2018-10-04 00:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2018-09-26 07:03:27 UTC
Similar to bug 115434 but occurs when sidebar is in float mode and focus is in the tab bar.

Steps to reproduce:

1) Open any multipage document
2) Open Sidebar using Menu > View > Sidebar or Ctrl+F5
3) Undock Sidebar using tab bar Menu > Undock or grab deck title bar and drag
4) Click in the document
5) Click on Properties deck button in floating sidebar tab bar
6) Press any of the following: page down/up, Ctrl+End, Ctrl+Home, backspace, delete, Ctrl+backspace, Ctrl+delete, hold up/down arrow key

Results:
Key input affects document view

Expected Results:
Key input does not affect document view when focus is in sidebar
Comment 1 V Stuart Foote 2018-09-26 13:08:48 UTC
Yup... had to play with the cursor down/up, but holding it it eventually starts to  reposition the document canvas even though focus remains on the sidebar.

 => New
Comment 2 Jim Raykowski 2018-09-26 21:54:11 UTC
Here is a patch: 
https://gerrit.libreoffice.org/#/c/61020/
Comment 3 Commit Notification 2018-09-27 06:37:45 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e14c7fa64eff20bf5fc0a97600a0dd58531e1046

tdf#120122 Fix key input being passed to doc view from floating sidebar

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.